﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Ball : MonoBehaviour
{
	private const float DEATH_PLANE_Y = -5.3f;

	private Score score;
	private bool worthPoints = false;
	private bool tainted = false;

	// Use this for initialization
	void Start ()
	{
		score = GameObject.Find ("Score Text").GetComponent<Score> ();
	}
	
	// Update is called once per frame
	void Update ()
	{
		if (transform.position.y < DEATH_PLANE_Y) {
			if (!tainted && worthPoints) {
				score.IncrementBalls (1);
			}

			Destroy (gameObject);
		}
	}

	// The only trigger on the map is the goal trigger.
	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.tag == "WinningObject") {
			worthPoints = true;
		}
		if (other.tag == "LosingObject") {
			tainted = true;
		}
	}
}
